checkRequire("Lua_ObtainItemTipsWindow");
Lua_LuckyShowRewardWindow = class("Lua_LuckyShowRewardWindow", Lua_ObtainItemTipsWindow);
function Lua_LuckyShowRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_LuckyShowRewardWindow";
end

function Lua_LuckyShowRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.againBtn = UICreate.createButton(self.content, "", -141, -205, 220, 67);
	self.sureBtn = UICreate.createButton(self.content, LanUtil.getValue(200716), 141, -205, 220, 67);
	self.againBtn:addClickFuntion(self, self.onAgainBtn);
	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_LuckyShowRewardWindow:showWin(param)
    self:superCall("showWin", param);
    -- self.curType = param.curType;
    self.curCount = param:getSize();
    if self.curCount == 1 then
    	self.againBtn:setLangValue(200717);
    else
    	self.againBtn:setLangValue(200718);
    end
end

function Lua_LuckyShowRewardWindow:onAgainBtn()
	DataCenter.luckyTurntableData.againReward = true;
	if self.curCount == 1 then
		self:hide();
		Lua_MsgUtil.callFunc("AGAIN_ONE_REWARD");
	else
		self:hide();
		Lua_MsgUtil.callFunc("AGAIN_TEN_REWARD");
	end
end

function Lua_LuckyShowRewardWindow:dispose()
	self:superCall("dispose");
	
	if Lua_WindowUtil.isWindowShowing("Lua_LuckyTurntableWindow") then
		Lua_MsgUtil.callFunc("RESET_TURNTABLE_REWARD");
	end
end